Index: c/src/tests/sptests/sp09/screen09.c
===================================================================
--- c/src/tests/sptests/sp09/screen09.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ c/src/tests/sptests/sp09/screen09.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -37,4 +37,7 @@
   puts( "TA1 - rtems_interrupt_catch - RTEMS_INVALID_NUMBER" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_interrupt_catch - bad handler RTEMS_INVALID_ADDRESS -- SKIPPED" );
+#else
   status = rtems_interrupt_catch( NULL, 3, &old_service_routine );
   fatal_directive_status(
@@ -44,5 +47,9 @@
   );
   puts( "TA1 - rtems_interrupt_catch - bad handler RTEMS_INVALID_ADDRESS" );
+#endif
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_interrupt_catch - old isr RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_interrupt_catch( Service_routine, 3, NULL );
   fatal_directive_status(
@@ -52,4 +59,5 @@
   );
   puts( "TA1 - rtems_interrupt_catch - old isr RTEMS_INVALID_ADDRESS" );
+#endif
 
   status = rtems_signal_send( 100, RTEMS_SIGNAL_1 );
@@ -83,4 +91,7 @@
   puts( "TA1 - rtems_port_create - RTEMS_INVALID_NAME" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_port_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_port_create(
      Port_name[ 1 ],
@@ -96,4 +107,5 @@
   );
   puts( "TA1 - rtems_port_create - RTEMS_INVALID_ADDRESS" );
+#endif
 
   status = rtems_port_create(
Index: c/src/tests/sptests/sp09/screen11.c
===================================================================
--- c/src/tests/sptests/sp09/screen11.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ c/src/tests/sptests/sp09/screen11.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -110,4 +110,7 @@
   puts( "TA1 - rtems_partition_create - RTEMS_MP_NOT_CONFIGURED" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_partition_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -124,5 +127,9 @@
   );
   puts( "TA1 - rtems_partition_create - RTEMS_INVALID_ADDRESS" );
-
+#endif
+
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_partition_create - RTEMS_INVALID_SIZE - SKIPPED" );
+#else
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -139,4 +146,5 @@
   );
   puts( "TA1 - rtems_partition_create - RTEMS_INVALID_SIZE" );
+#endif
 
   status = rtems_partition_delete( 100 );
Index: c/src/tests/sptests/sp09/screen12.c
===================================================================
--- c/src/tests/sptests/sp09/screen12.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ c/src/tests/sptests/sp09/screen12.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -44,4 +44,7 @@
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_NAME" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_region_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_region_create(
     Region_name[ 1 ],
@@ -58,5 +61,9 @@
   );
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_ADDRESS" );
-
+#endif
+
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_region_create - RTEMS_INVALID_SIZE - SKIPPED" );
+#else
   status = rtems_region_create(
     Region_name[ 1 ],
@@ -73,4 +80,5 @@
   );
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_SIZE" );
+#endif
 
   status = rtems_region_create(
Index: testsuites/sptests/sp09/screen09.c
===================================================================
--- testsuites/sptests/sp09/screen09.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ testsuites/sptests/sp09/screen09.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -37,4 +37,7 @@
   puts( "TA1 - rtems_interrupt_catch - RTEMS_INVALID_NUMBER" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_interrupt_catch - bad handler RTEMS_INVALID_ADDRESS -- SKIPPED" );
+#else
   status = rtems_interrupt_catch( NULL, 3, &old_service_routine );
   fatal_directive_status(
@@ -44,5 +47,9 @@
   );
   puts( "TA1 - rtems_interrupt_catch - bad handler RTEMS_INVALID_ADDRESS" );
+#endif
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_interrupt_catch - old isr RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_interrupt_catch( Service_routine, 3, NULL );
   fatal_directive_status(
@@ -52,4 +59,5 @@
   );
   puts( "TA1 - rtems_interrupt_catch - old isr RTEMS_INVALID_ADDRESS" );
+#endif
 
   status = rtems_signal_send( 100, RTEMS_SIGNAL_1 );
@@ -83,4 +91,7 @@
   puts( "TA1 - rtems_port_create - RTEMS_INVALID_NAME" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_port_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_port_create(
      Port_name[ 1 ],
@@ -96,4 +107,5 @@
   );
   puts( "TA1 - rtems_port_create - RTEMS_INVALID_ADDRESS" );
+#endif
 
   status = rtems_port_create(
Index: testsuites/sptests/sp09/screen11.c
===================================================================
--- testsuites/sptests/sp09/screen11.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ testsuites/sptests/sp09/screen11.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -110,4 +110,7 @@
   puts( "TA1 - rtems_partition_create - RTEMS_MP_NOT_CONFIGURED" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_partition_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -124,5 +127,9 @@
   );
   puts( "TA1 - rtems_partition_create - RTEMS_INVALID_ADDRESS" );
-
+#endif
+
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_partition_create - RTEMS_INVALID_SIZE - SKIPPED" );
+#else
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -139,4 +146,5 @@
   );
   puts( "TA1 - rtems_partition_create - RTEMS_INVALID_SIZE" );
+#endif
 
   status = rtems_partition_delete( 100 );
Index: testsuites/sptests/sp09/screen12.c
===================================================================
--- testsuites/sptests/sp09/screen12.c	(revision ca7858bb8856f1afcc537f39763b7c951e5068d3)
+++ testsuites/sptests/sp09/screen12.c	(revision 8c3c1763f081ce7a42b089f7372ae10e7d67bd69)
@@ -44,4 +44,7 @@
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_NAME" );
 
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_region_create - RTEMS_INVALID_ADDRESS - SKIPPED" );
+#else
   status = rtems_region_create(
     Region_name[ 1 ],
@@ -58,5 +61,9 @@
   );
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_ADDRESS" );
-
+#endif
+
+#if defined(_C3x) || defined(_C4x)
+  puts( "TA1 - rtems_region_create - RTEMS_INVALID_SIZE - SKIPPED" );
+#else
   status = rtems_region_create(
     Region_name[ 1 ],
@@ -73,4 +80,5 @@
   );
   puts( "TA1 - rtems_region_create - RTEMS_INVALID_SIZE" );
+#endif
 
   status = rtems_region_create(
